shishi_safe_safe_der_set(3)

NAME
shishi_safe_safe_der_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_safe_safe_der_set(Shishi_safe * safe, char * der, size_t derlen);

ARGUMENTS

Shishi_safe * safe
    safe as allocated by shishi_safe().

char * der
    input array with DER encoded KRB-SAFE.

size_t derlen
    length of input array with DER encoded KRB-SAFE.

DESCRIPTION
DER decode KRB-SAFE and set it SAFE exchange. If decoding fails, the KRB-SAFE in the SAFE exchange remains.

RETURN VALUE
Returns SHISHI_OK.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.